## org.ascape.query.parser
Interface BoolExprTreeTreeConstants

All Known Implementing Classes:
  BoolExprTree

    public interface BoolExprTreeTreeConstants

Field Summary
`static int` `JJTBOOLEANAND`
`static int` `JJTBOOLEANOR`
`static int` `JJTBOOLEANPHRASE`
`static int` `JJTCONTAINS`
`static int` `JJTCRITERIA`
`static int` `JJTEQUAL`
`static int` `JJTFIELD`
`static int` `JJTGREATERTHAN`
`static int` `JJTINPUT`
`static int` `JJTLESSTHAN`
`static java.lang.String[]` `jjtNodeName`
`static int` `JJTNONQUOTEDSTRING`
`static int` `JJTNOTEQUAL`
`static int` `JJTNUMBERSTRING`
`static int` `JJTPROPERTY`
`static int` `JJTQUOTEDSTRING`
`static int` `JJTSTARTSWITH`
`static int` `JJTVOID`
`static int` `JJTWILDCARD`

Field Detail

### JJTINPUT

    static final int JJTINPUT

See Also:
  Constant Field Values

### JJTBOOLEANPHRASE

    static final int JJTBOOLEANPHRASE

See Also:
  Constant Field Values

### JJTVOID

    static final int JJTVOID

See Also:
  Constant Field Values

### JJTBOOLEANAND

    static final int JJTBOOLEANAND

See Also:
  Constant Field Values

### JJTBOOLEANOR

    static final int JJTBOOLEANOR

See Also:
  Constant Field Values

### JJTCRITERIA

    static final int JJTCRITERIA

See Also:
  Constant Field Values

### JJTPROPERTY

    static final int JJTPROPERTY

See Also:
  Constant Field Values

### JJTWILDCARD

    static final int JJTWILDCARD

See Also:
  Constant Field Values

### JJTFIELD

    static final int JJTFIELD

See Also:
  Constant Field Values

### JJTEQUAL

    static final int JJTEQUAL

See Also:
  Constant Field Values

### JJTNOTEQUAL

    static final int JJTNOTEQUAL

See Also:
  Constant Field Values

### JJTLESSTHAN

    static final int JJTLESSTHAN

See Also:
  Constant Field Values

### JJTGREATERTHAN

    static final int JJTGREATERTHAN

See Also:
  Constant Field Values

### JJTSTARTSWITH

    static final int JJTSTARTSWITH

See Also:
  Constant Field Values

### JJTCONTAINS

    static final int JJTCONTAINS

See Also:
  Constant Field Values

### JJTNONQUOTEDSTRING

    static final int JJTNONQUOTEDSTRING

See Also:
  Constant Field Values

### JJTNUMBERSTRING

    static final int JJTNUMBERSTRING

See Also:
  Constant Field Values

### JJTQUOTEDSTRING

    static final int JJTQUOTEDSTRING

See Also:
  Constant Field Values

### jjtNodeName

    static final java.lang.String[] jjtNodeName